Subject: Re: [External] : bug#47150: 28.0.50; Incorrect major-mode in minibuffer

From: Stefan Monnier <[email-masked]>
Date: Mon, 12 Apr 2021 10:01:28 -0400

>> To sum up, the minibuffer will always be in `minibuffer-mode', regardless
>> of whether it is active or inactive.
>
Please don't do that.  Make `minibuffer-mode` be the *parent* mode, yes.
But keep `minibuffer-inactive-mode` as a separate major mode.

>> I think this will enable you to solve the problems you have.

But it would be a regression since it would get rid of `minibuffer-inactive-mode`.

        Stefan